@import "src/styles/variables";
$header-padding: 22px;

.header {
  position: sticky;
  top: 0;
  z-index: 2;
  display: flex;
  padding-left: $header-padding * 2;
  padding-top: $header-padding / 2;
  border-bottom: 1px solid $color-grey-light;
  background: $color-white;

  &__logo {
    display: flex;
    align-items: center;
    min-width: 100px;
    max-width: 210px;
  }

  &__image {
    width: 100%;
    height: auto;
  }

  &__links {
    min-width: 70vw;
  }

  &__link-list {
    display: flex;
    padding: $header-padding;
    margin: 0;
    list-style: none;
  }

  &__link-item {
    min-width: 120px;
    padding-left: $header-padding * 2;
    text-decoration: none;
    color: inherit;

    &:visited {
      color: inherit;
      text-decoration: none;
    }

    &--active {
      font-weight: bold;
      text-decoration: underline;
    }
  }
}
